package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "kmt_course_question_detail")
public class KmtCourseQuestionDetail extends BaseEntity {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private String courseKnowId;
	
	private String knowId;
	
	private String howDetailsKdId;
	
	private String questionId;
	
	private Integer type;
	
	private Integer isAnswer;
	
	private Integer num;
	
	private Integer mark;

	private String kname;
	
	private String howDetailsId;
	
	private String ydsl;
	
	private Date createTime;
	
	
	
	public String getYdsl() {
		return ydsl;
	}

	public void setYdsl(String ydsl) {
		this.ydsl = ydsl;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getCourseKnowId() {
		return courseKnowId;
	}

	public void setCourseKnowId(String courseKnowId) {
		this.courseKnowId = courseKnowId;
	}

	public String getKnowId() {
		return knowId;
	}

	public void setKnowId(String knowId) {
		this.knowId = knowId;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getIsAnswer() {
		return isAnswer;
	}

	public void setIsAnswer(Integer isAnswer) {
		this.isAnswer = isAnswer;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public Integer getMark() {
		return mark;
	}

	public void setMark(Integer mark) {
		this.mark = mark;
	}

	public String getKname() {
		return kname;
	}

	public void setKname(String kname) {
		this.kname = kname;
	}

	public String getHowDetailsKdId() {
		return howDetailsKdId;
	}

	public void setHowDetailsKdId(String howDetailsKdId) {
		this.howDetailsKdId = howDetailsKdId;
	}

	public String getHowDetailsId() {
		return howDetailsId;
	}

	public void setHowDetailsId(String howDetailsId) {
		this.howDetailsId = howDetailsId;
	}
	
}
